/*用滑鼠控制元件屬性
任務：
1.依照下面指示，一一完成，最後
(1)大按鈕控制整個笑臉左右移動
(2)小按鈕控制眼睛旋轉
(3)用滑鼠可以拖曳整張圖
*/

/* 結構
lib.myFlash
	1.ball01
		(1)smile
			<1>eyeR
			<2>eyeL
	2.btnLeft
	3.btnRight
	4.btnLeftEye
	5.btnRightEye
*/

//--全域變數--//
//createJS 用
var canvas, stage, myFlash;


//body onload 時，執行 initialize
function init(){
	//1.取得 HTML 文件中的 canvas 標籤，傳給變數 canvas
	//2.新建一個 myFlash.js 中的 lib.myFlash 
	canvas = document.getElementById("canvas");//取得 canvas
	myFlash = new lib.myFlash();//new 一個 myFlash


	stage = new createjs.Stage(canvas);//建立一個 createjs 的 stage
	stage.addChild(myFlash);//在 satge 上加入 myFlash
	stage.update();

	createjs.Ticker.setFPS(lib.properties.fps);
	createjs.Ticker.addEventListener("tick", myTick);

	//---以下連結按鈕動作---//
	//btn(大)
	myFlash.btnRight.name='btnRight';
	myFlash.btnRight.addEventListener("click",clickBtn);
	myFlash.btnLeft.name='btnLeft';
	myFlash.btnLeft.addEventListener("click",clickBtn);

	//btnEye(小)
	myFlash.btnRightEye.name='btnRightEye';
	myFlash.btnRightEye.addEventListener("click",clickBtn);
	myFlash.btnLeftEye.name='btnLeftEye';
	myFlash.btnLeftEye.addEventListener("click",clickBtn);


	//drag
	myFlash.ball01.addEventListener("mousedown" , downBall);
	myFlash.ball01.addEventListener("pressup" , upBall);

	
}

//每影格執行一次
function myTick(){
	
	//..............




	//記得update，畫面才會更新
	//stage.update();
}


//btn
function clickBtn(e){
	
	//先判斷按下哪一個按鈕
	if(e.target.name=="btnRight"){//大右
		//...........
	}else if(e.target.name=="btnLeft"){//大左
		//...........
	}else if(e.target.name=="btnRightEye"){//小右
		//...........
	}else if(e.target.name=="btnLeftEye"){//小左
		//...........
	}

	//記得update，畫面才會更新
	//stage.update();
}



//mouse
function downBall(e){//按下滑鼠


}
function upBall(e){//放開滑鼠


}



